Subject: Re: [bug-diffutils] bug#17075: diff - - exits immediately

From: [email-masked] (Karl Berry)
Date: Thu, 27 Mar 2014 21:40:08 GMT

Hmm, well, in diff's defense, lots of commonly-used programs avoid 
    reading some or all their input in some cases, 

Sure.  But in most other cases, the user says something to imply the
partial read, e.g., it would actually be surprising in the other
direction if head -10 read more than 10 lines.  But head -10 - does read
stdin ... anyway, I don't argue that diff is unique in this regard, only
that in practice it comes up more and is more surprising when it does.

Thanks for the doc patch, looks good to me.

karl